<h2>HttpClient</h2>
<div class="card">
   <div class="form-control">
      <input type="text" placeholder="Название" [(ngModel)]="todoTitle">
   </div>
   <button class="btn" (click)=addTodo()> Add </button>
   <button class="btn" (click)="downloadTodo()"> download </button>
</div>
<hr>
<p *ngIf="error;else todoBlock" class="error">{{error}}</p>
<ng-template #todoBlock>
   <div *ngIf="!loading; else showLoading">
      <div class="card" *ngFor="let todo of todos">
         <p>
            <span [class.completed]="todo.complited">{{todo.title|titlecase}}</span>
            <span>
               <button class="btn" (click)="delTodo(todo.id!)"> del</button>
               <button class="btn" [disabled]="todo.complited" (click)="complitedTodo(todo.id!)">completed</button>
            </span>
         </p>
      </div>
   </div>
   <ng-template #showLoading>
      <p>
         Loading ...
      </p>
   </ng-template>
</ng-template>


<h2>Go to Posts</h2>
<p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Sunt, ad.</p>
<button class="btn" (click)="goToPosts()">Posts</button>